#!/usr/bin/python
# -*- coding: UTF-8 -*-

from dli.exception import DliException


class DownloadJob(object):

    def __init__(self, client, queue_name, db_name, table_name, part_spec=None, job=None):
        """
        :param client: the DLIClient
        :param queue_name: queue name, use this queue for computing
        :param db_name: the database name which the data to download
        :param table_name: the table name which the data to download
        :param part_spec: the partition spec for a partitioned table
        :param job: the sql job
        """

        raise DliException(msg="Please use SQLJob directly")

    def create_reader(self):
        raise DliException(msg="Unsupported operator")

    def get_download_status(self):
        raise DliException(msg="Unsupported operator")

    def new_empty_row(self):
        raise DliException(msg="Unsupported operator")
