#!/usr/bin/python
# -*- coding: UTF-8 -*-

from dli.dli_client import DliClient
from dli.logger import logger

region = "cn-north-7"
endpoint = "dli.cn-north-7.myhuaweicloud.com"
obs_endpoint = "obs.cn-north-7.myhuaweicloud.com"
project_id = ""
ak = ""
sk = ""
queue_name = "sql_queue"


def print_result(obs_reader):
    count = 0
    for record in obs_reader:
        count += 1
        print(record)
    logger.info("total records: %d" , count)


if __name__ == '__main__':
    kwargs = {
        'region': region,
        'project_id': project_id,
        'auth_mode': 'aksk',
        'ak': ak,
        'sk': sk,
        'endpoint': endpoint,
        'obs.endpoint': obs_endpoint
    }
    dli_client = DliClient(**kwargs)

    logger.info("download query result")
    sql_job = dli_client.execute_sql("SELECT * FROM tpch.nation", queue_name=queue_name)
    print_result(sql_job.get_result())
